import type { CSSProperties, RefObject, Dispatch, SetStateAction } from 'react';
import React from 'react';
import type { ActionPosition, BoxSize } from './types';
import './ThumbBar.less';
export interface ThumbBarProps {
    visible: boolean;
    isGlobal: boolean;
    trackStyle?: (horizontal?: boolean) => CSSProperties;
    thumbStyle?: (horizontal?: boolean) => CSSProperties;
    minThumbSize?: number;
    start: number;
    gap: number;
    /**
     * @default vertical
     */
    horizontal?: boolean;
    pin: boolean | undefined;
    trackRef: RefObject<HTMLDivElement>;
    boxSize: BoxSize;
    update: Dispatch<SetStateAction<ActionPosition>>;
}
declare function ThumbBar({ visible, isGlobal, trackStyle, thumbStyle, minThumbSize, start, gap, horizontal, pin, trackRef, boxSize, update, }: ThumbBarProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof ThumbBar>;
export default _default;
